From 9835e58c0fce6e20df2b1616115d921c26d52d75 Mon Sep 17 00:00:00 2001
From: Kedar Sovani <kedars@marvell.com>
Date: Mon, 2 Nov 2009 08:14:53 +0100
Subject: [PATCH] Remove dep on kernle-devel.

Signed-off-by: Kedar Sovani <kedars@marvell.com>
---
 iw.spec |    7 ++++++-
 1 files changed, 6 insertions(+), 1 deletions(-)

diff --git a/iw.spec b/iw.spec
index 7c6721d..b79d4ad 100644
--- a/iw.spec
+++ b/iw.spec
@@ -1,6 +1,6 @@
 Name:           iw
 Version:        0.9.17
-Release:        2%{?dist}
+Release:        2%{?dist}.fa1
 Summary:        A nl80211 based wireless configuration tool
 
 Group:          System Environment/Base
@@ -9,7 +9,9 @@ URL:            http://www.linuxwireless.org/en/users/Documentation/iw
 Source0:        http://wireless.kernel.org/download/iw/iw-%{version}.tar.bz2
 BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
+%ifnarch %{arm}
 BuildRequires: kernel-devel >= 2.6.24 
+%endif
 BuildRequires: libnl-devel >= 1.0
 BuildRequires: pkgconfig      
 
@@ -46,6 +48,9 @@ rm -rf $RPM_BUILD_ROOT
 %doc COPYING
 
 %changelog
+* Fri Oct 30 2009 Kedar Sovani <kedars@marvell.com> 
+- Remove kernel-devel BuildRequires
+
 * Fri Sep  4 2009 John W. Linville <linville@redhat.com> 0.9.17-2
 - Revert "separate commands into sections", section type conflicts on ppc64
 
-- 
1.5.5.6

